--- orig/debian/elho-base.postinst
+++ mod/debian/elho-base.postinst
@@ -19,8 +19,6 @@
 # for details, see http://www.debian.org/doc/debian-policy/ or
 # the debian-policy package
 
-. /lib/elho/invokeinitscript
-
 case "$1" in
     configure)
 	debconf-force-selections /usr/share/elho/preseed/elho-base.cfg
@@ -50,7 +48,7 @@
 			| sed --quiet --file=/lib/elho/diff-pretty-print.sed
 		fi
 	    fi
-	    invokeinitscript exim4 force-reload
+	    invoke-rc.d exim4 force-reload
 	fi
 
 	/lib/elho/seed-proxyurl | debconf-force-selections
@@ -76,7 +74,7 @@
 	# installed by netbase 4.38 up to 4.42
 	rm -f /etc/sysctl.d/bindv6only.conf
 
-	invokeinitscript procps force-reload
+	invoke-rc.d procps force-reload
 
 	/lib/elho/customize-conffile --ok /etc/apt/sources.list
 
@@ -84,14 +82,14 @@
 
 	/lib/elho/customize-conffile --ok /etc/default/ferm
 	rm -f /var/cache/ferm/start.sh /var/cache/ferm/stop.sh
-	invokeinitscript ferm force-reload
+	invoke-rc.d ferm force-reload
 
 	if /lib/elho/customize-conffile /etc/default/grub ; then
 	    update-grub
 	fi
 
 	if /lib/elho/customize-conffile /etc/default/oidentd ; then
-	    invokeinitscript oidentd restart
+	    invoke-rc.d oidentd restart
 	fi
 
 	# replace sudoers versions of older releases by wheezy one
@@ -105,7 +103,7 @@
 		    --mode=440 --owner=root --group=root \
 		    /usr/share/elho/distfiles/wheezy/sudoers /etc
 		echo "done."
-		invokeinitscript sudo force-reload
+		invoke-rc.d sudo force-reload
 		break
 	    fi
 	done
@@ -113,7 +111,7 @@
 	/lib/elho/customize-conffile --ok /etc/default/tmpfs
 
 	if /lib/elho/customize-conffile /etc/ssh/sshd_config ; then
-	    invokeinitscript ssh reload
+	    invoke-rc.d ssh reload
 	fi
     ;;
 
